# Uses of Enum Class
org.apache.sysds.runtime.einsum.EOpNodeFuse.EinsumRewriteType

Packages that use EOpNodeFuse.EinsumRewriteType
Package
Description
org.apache.sysds.runtime.einsum

## Uses of EOpNodeFuse.EinsumRewriteType in org.apache.sysds.runtime.einsum

Fields in org.apache.sysds.runtime.einsum declared as EOpNodeFuse.EinsumRewriteType
Modifier and Type
Field
Description
`EOpNodeFuse.EinsumRewriteType`
EOpNodeFuse.`einsumRewriteType`
Methods in org.apache.sysds.runtime.einsum that return EOpNodeFuse.EinsumRewriteType
Modifier and Type
Method
Description
`static EOpNodeFuse.EinsumRewriteType`
EOpNodeFuse.EinsumRewriteType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EOpNodeFuse.EinsumRewriteType[]`
EOpNodeFuse.EinsumRewriteType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.einsum with parameters of type EOpNodeFuse.EinsumRewriteType
Modifier and Type
Method
Description
`static MatrixBlock`
EOpNodeFuse.`compute(EOpNodeFuse.EinsumRewriteType rewriteType, List<MatrixBlock> ABsInput, List<MatrixBlock> mbBAs, List<MatrixBlock> mbBs, List<MatrixBlock> mbAs, List<MatrixBlock> mbAZs, Double scalar, int numThreads)`
Constructors in org.apache.sysds.runtime.einsum with parameters of type EOpNodeFuse.EinsumRewriteType
Modifier
Constructor
Description
``
`EinsumSpoofRowwise(EOpNodeFuse.EinsumRewriteType einsumRewriteType, SpoofRowwise.RowType rowType, long constDim2, int abCount, boolean bSupplied, int aCount, int azCount, int zSize)`
``
`EOpNodeFuse(EOpNodeFuse.EinsumRewriteType einsumRewriteType, List<EOpNode> ABs, List<EOpNode> BAs, List<EOpNode> Bs, List<EOpNode> As, List<EOpNode> AZs, List<org.apache.commons.lang3.tuple.Pair<List<EOpNode>,List<EOpNode>>> AXsAndXs)`